import request from '@/utils/request';
//查询用户反馈
export const getOpinionList = (params) => {
  return request({
    url: '/user/userOpinion/page',
    method: 'get',
    params: params
  });
};

// 获取用户反馈详情
export const getOpinionDetail = (id) => {
  return request({
    url: `/user/userOpinion/info/${id}`,
    method: 'get'
  });
};

// 删除用户反馈
export const deleteFeedbackApi = (opinionId) => {
  return request({
    url: `/user/userOpinion/del/${opinionId}`,
    method: 'post'
  });
};

//处理用户反馈
export const handleOpinion = (data) => {
  return request({
    url: `/user/userOpinion/handl`,
    method: 'post',
    data: data
  });
};